LINUX.ORG.RU

PyQt5 и KDE Frameworks 5. Почему оно дохлое?

 , , ,


0

1

В Qt Designer после установки dev пакетов KDE Frameworks появились виджеты из KF5. Некоторые выглядят интересно для меня и хотелось бы использовать их в PyQt5, но выясняется, что PyKDE 5 не готов: https://techbase.kde.org/Development/Tutorials#Python_.28PyQt4.29 а последние коммиты были в 2014: https://cgit.kde.org/pykde5.git . Почему забили и есть ли форк/аналог?

Ответ на: комментарий от ArkaDOSik

Тогда очевидный Electron. Серьезно, там виджетов куча, и быстро все разрабатывается, а если что нужно, можно вызвать внешнюю библиотеку. Ну или PWA можно сделать, правда эта тема еще только развивается, но может твое приложение уже можно реализовать.

insw ()
Последнее исправление: insw (всего исправлений: 2)
Ответ на: комментарий от insw

Бессмысленный совет. Что использовать - PyQt5 или PySide - надо сравнить и решить самостоятельно, а не на основании того, что кто-то по случайности посоветует. Есть и другие библиотеки для создания интерфейса пользователя на Python. PyKDE кажется не популярно. Поискать информацию - если его разработка действительно прекращена, то и нафиг его, поскольку подобные библиотеки приводятся в соответствие с последними версиями Python.

Electron вообще упомянут не по делу. Автору совета стоило бы ознакомиться, что это такое.

Partisan ★★★ ()